DIGEST(1)

NAME
digest - calculate message digests

SYNOPSIS
digest algorithm [file ...]

DESCRIPTION
The digest utility calculates message digests of files or, if no file is specified, standard input. The list of possible algorithms is:

md5 the md5(3) algorithm will be used.

rmd160
    the rmd160(3) algorithm will be used.

sha1
    the sha1(3) algorithm will be used.

sha256
    the sha256 algorithm will be used.

sha384
    the sha384 algorithm will be used.

sha512
    the sha512 algorithm will be used.

The digest utility is a simple wrapper for the various different algorithm implementations, which are located in the standard C library, and was designed to be scalable as new message digest algorithms are developed.

The digest utility exits 0 on success, and >0 if an error occurs.

SEE ALSO
cksum(1), md5(3), rmd160(3), sha1(3)

HISTORY
The digest utility first appeared in NetBSD 1.6.

AUTHORS
The digest utility was written by Alistair G. Crooks <agc@netbsd.org>.